Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.xml.transform
Class TransformerConfigurationException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--javax.xml.transform.TransformerException
                        |
                        +--javax.xml.transform.TransformerConfigurationException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  TransformerConfigurationExceptionWrapper, XslParseException

public class TransformerConfigurationException
extends TransformerException

Represents a configuration error when creating a transformation.

See Also:
  Serialized Form

Constructor Summary
`TransformerConfigurationException()` Create a new exception with no error message.
`TransformerConfigurationException(java.lang.String msg)` Create a new exception with a string error message.
`TransformerConfigurationException(java.lang.String msg, SourceLocator locator)` Create a new exception with a message and an error location.
`TransformerConfigurationException(java.lang.String msg, SourceLocator locator, java.lang.Throwable e)` Create a new exception with a message and an error location.
`TransformerConfigurationException(java.lang.String msg, java.lang.Throwable e)` Create a new exception with a wrapped exception.
`TransformerConfigurationException(java.lang.Throwable e)` Create a new exception with a wrapped exception.

Methods inherited from class javax.xml.transform.TransformerException
`getCause, getException, getLocationAsString, getLocator, getMessageAndLocation, initCause, printStackTrace, printStackTrace, printStackTrace, setLocator`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TransformerConfigurationException

    public TransformerConfigurationException()

  Create a new exception with no error message.

### TransformerConfigurationException

    public TransformerConfigurationException(java.lang.String msg)

  Create a new exception with a string error message.

### TransformerConfigurationException

    public TransformerConfigurationException(java.lang.String msg,
                                             SourceLocator locator)

  Create a new exception with a message and an error location.

### TransformerConfigurationException

    public TransformerConfigurationException(java.lang.String msg,
                                             SourceLocator locator,
                                             java.lang.Throwable e)

  Create a new exception with a message and an error location.

### TransformerConfigurationException

    public TransformerConfigurationException(java.lang.String msg,
                                             java.lang.Throwable e)

  Create a new exception with a wrapped exception.

### TransformerConfigurationException

    public TransformerConfigurationException(java.lang.Throwable e)

  Create a new exception with a wrapped exception.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD